"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var React = _interopRequireWildcard(require("react"));

var _reactNative = require("react-native");

var _reactNativeGestureHandler = require("react-native-gesture-handler");

var _styles = _interopRequireDefault(require("./styles"));

var _constants = require("../../constants");

var _hooks = require("../../hooks");

var _reactNativeReanimated = _interopRequireWildcard(require("react-native-reanimated"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const ItemComponent = _constants.IS_IOS ? _reactNative.TouchableOpacity : _reactNativeGestureHandler.TouchableOpacity;

const AnimatedTouchable = _reactNativeReanimated.default.createAnimatedComponent(ItemComponent);

const MenuItemComponent = ({
  item,
  isLast
}) => {
  const {
    state,
    theme
  } = (0, _hooks.useInternal)();
  const textStyles = (0, _reactNativeReanimated.useAnimatedStyle)(() => {
    return {
      color: theme.value === 'dark' ? 'white' : 'black'
    };
  }, [theme]);
  const borderStyles = (0, _reactNativeReanimated.useAnimatedStyle)(() => {
    return theme.value === 'dark' ? {
      borderBottomWidth: 1,
      borderBottomColor: 'rgba(255, 255, 255, 0.1)'
    } : {
      borderBottomWidth: 1,
      borderBottomColor: 'rgba(0, 0, 0, 0.1)'
    };
  }, [theme]);
  const handleOnPress = React.useCallback(() => {
    if (item.onPress) item.onPress();
    state.value = _constants.CONTEXT_MENU_STATE.END;
  }, [state, item]);
  return /*#__PURE__*/React.createElement(AnimatedTouchable, {
    onPress: handleOnPress,
    activeOpacity: 0.4,
    style: [_styles.default.menuItem, !isLast ? borderStyles : {}]
  }, /*#__PURE__*/React.createElement(_reactNativeReanimated.default.Text, {
    style: [_styles.default.menuItemText, textStyles]
  }, item.title));
};

const MenuItem = /*#__PURE__*/React.memo(MenuItemComponent);
var _default = MenuItem;
exports.default = _default;
//# sourceMappingURL=MenuItem.js.map