"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _reactNative = require("react-native");

var _constants = require("../../constants");

var _calculations = require("../../utils/calculations");

var _styleGuide = _interopRequireDefault(require("../../styleGuide"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const styles = _reactNative.StyleSheet.create({
  menuWrapper: {
    position: 'absolute',
    left: 0,
    zIndex: 10
  },
  menuContainer: {
    position: 'absolute',
    top: 0,
    width: _constants.MENU_WIDTH,
    borderRadius: _styleGuide.default.spacing * 1.5,
    display: 'flex',
    flexDirection: 'column',
    justifyContent: 'center',
    alignItems: 'center',
    overflow: 'hidden',
    zIndex: 15
  },
  menuItem: {
    width: '100%',
    height: (0, _calculations.MenuItemHeight)(),
    display: 'flex',
    flexDirection: 'row',
    justifyContent: 'space-between',
    alignItems: 'center',
    paddingHorizontal: _styleGuide.default.spacing * 2
  },
  border: {
    borderBottomWidth: 1,
    borderBottomColor: 'rgba(255, 255, 255, 0.1)'
  },
  menuItemText: {
    width: '100%',
    ..._styleGuide.default.typography.callout,
    flex: 1
  },
  textDark: {
    color: 'black'
  },
  textLight: {
    color: 'white'
  }
});

var _default = styles;
exports.default = _default;
//# sourceMappingURL=styles.js.map